/*
 * Class COLLECTION [NATURAL_64]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1729 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1729 [] = {0xFF01,1551,1728,860,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1729 [] = {0xFF01,1728,860,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1729 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1729 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1729 [] = {0xFF01,1728,860,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1729 [] = {0xFF01,1728,860,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1729 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1729 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1729 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1729 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1729 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1729 [] = {1728,860,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1729 [] = {0xFF01,1728,860,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1729 [] = {0xFF01,1722,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1729 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_1729[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1729), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1729), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1729), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1729), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1729), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1729), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1729), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1729), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1729), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1729), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1729), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1729), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1729), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1729), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8618, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8619, 0},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8620, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8621, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8622, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1729), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1729), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9021, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9022, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9023, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
};
void Init1729(void)
{
	IDSC(desc_1729, 0, 1728);
	IDSC(desc_1729 + 1, 1, 1728);
	IDSC(desc_1729 + 32, 1134, 1728);
	IDSC(desc_1729 + 41, 1135, 1728);
}


#ifdef __cplusplus
}
#endif
